Package org.apache.calcite.avatica

# Class MetaImpl.MetaBestRowIdentifier

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaBestRowIdentifier

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaBestRowIdentifier extends Object
Metadata describing the best identifier for a row.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Integer`
`bufferLength`
`final String`
`columnName`
`final Integer`
`columnSize`
`final int`
`dataType`
`final Short`
`decimalDigits`
`short`
`pseudoColumn`
`final short`
`scope`
`final String`
`typeName`

## Constructor Summary

Constructors
Constructor
Description
`MetaBestRowIdentifier(short scope, String columnName, int dataType, String typeName, Integer columnSize, Short decimalDigits, short pseudoColumn)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scope

public final short scope

### columnName

public final String columnName

### dataType

public final int dataType

### typeName

public final String typeName

### columnSize

public final Integer columnSize

### bufferLength

public final Integer bufferLength

### decimalDigits

public final Short decimalDigits

### pseudoColumn

public short pseudoColumn

## Constructor Details

### MetaBestRowIdentifier

public MetaBestRowIdentifier(short scope, String columnName, int dataType, String typeName, Integer columnSize, Short decimalDigits, short pseudoColumn)